OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.OVR.Multiview

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetOVRMultiview :: MonadIO m => m Bool
- gl_OVR_multiview :: Bool
- gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_BASE_VIEW_INDEX_OVR :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_NUM_VIEWS_OVR :: GLenum
- gl_MAX_VIEWS_OVR :: GLenum
- glFramebufferTextureMultiviewOVR :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLint -> GLsizei -> m ()

# Extension Support

glGetOVRMultiview :: MonadIO m => m Bool

Is the OVR_multiview extension supported?

gl_OVR_multiview :: Bool

Is the OVR_multiview extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetOVRMultiview` in those cases instead.

# Enums

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_BASE_VIEW_INDEX_OVR :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_NUM_VIEWS_OVR :: GLenum

gl_MAX_VIEWS_OVR :: GLenum

# Functions

glFramebufferTextureMultiviewOVR

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `baseViewIndex`.
-> GLsizei | `numViews`.
-> m () |